> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magna.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Token Contracts

> List all distribution contracts associated with a token.

List the distribution contracts associated with a token. Use a returned
contract `id` when creating allocations or portals.

**Route:** `GET /api/external/v1/tokens/{id}/contracts`

## Headers

| Header              | Required | Description                |
| ------------------- | -------- | -------------------------- |
| `Content-Type`      | Yes      | Must be `application/json` |
| `x-magna-api-token` | Yes      | Your Magna API token       |

## Path parameters

| Parameter | Type          | Description  |
| --------- | ------------- | ------------ |
| `id`      | string (uuid) | The token ID |

## Request example

```sh theme={null}
curl -X GET 'https://app.magna.so/api/external/v1/tokens/{token_id}/contracts?id={token_id}' \
-H 'Content-Type: application/json' \
-H 'x-magna-api-token: YOUR_API_KEY'
```

## Response example

```json theme={null}
{
  "items": [
    {
      "id": "c1...uuid",
      "name": "Main Vesting Contract",
      "type": "AIRLOCK",
      "address": "0x...",
      "instanceAddress": "0x...",
      "createdAt": "2024-04-15T21:26:21.000Z"
    }
  ],
  "total": 1
}
```
